packaging: Add OpenSUSE Leap 15.3.

Change-Id: I5cbc06d5f7b245bf49578914819a8154c9d2cd6e
parent 8d3e1a4e
FROM opensuse/leap:15.3
RUN zypper --non-interactive install -y \
dnf \
dnf-command\(builddep\) \
rpmdevtools \
Mesa-dri-devel Mesa-dri \
git \
gcc8 \
gcc8-c++ \
rpm-build \
tar \
make \
autoconf \
automake \
cmake \
nasm \
speexdsp-devel \
libpulse-devel \
libcanberra-devel \
libcurl-devel \
libtool \
pcre-devel \
yaml-cpp-devel \
libdbus-c++-devel \
libXext-devel \
libXfixes-devel \
yasm \
speex-devel \
libgsm-devel \
chrpath \
check \
astyle \
gettext-devel \
gcc-c++ \
which \
alsa-lib-devel \
systemd-devel \
libuuid-devel \
uuid-devel \
gnutls-devel \
libopus-devel \
patch \
jsoncpp-devel \
webkit2gtk3-devel \
libcryptopp-devel \
libva-devel \
libvdpau-devel \
msgpack-devel \
clutter-devel \
openssl-devel \
clutter-gtk-devel \
libnma-devel \
libcryptopp-devel \
libdbus-c++-devel \
libexpat-devel \
gnome-icon-theme-symbolic \
libgsm-devel \
gtk3-devel \
libappindicator-devel \
sqlite-devel \
ffmpeg-4-libavutil-devel \
gtk3-devel\
qrencode-devel \
python3-python-dateutil \
libsndfile-devel \
libdrm \
gperf \
bison \
flex \
nodejs12 \
mozilla-nss-devel \
python-xml \
libxcb* \
libxkb* \
libX11-devel \
libXrender-devel \
libfreetype6 \
xcb-util-image-devel \
xcb-util-keysyms-devel \
xcb-util-renderutil-devel \
xcb-util-wm-devel \
xorg-x11-devel \
xz \
xkeyboard-config \
libnotify \
libQt5Sql-devel \
libQt5Gui-devel \
libqt5-qtbase-devel \
libqt5-qttools \
argon2-devel \
wget
RUN update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-8 50
RUN update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-8 50
ADD scripts/build-package-rpm.sh /opt/build-package-rpm.sh
CMD /opt/build-package-rpm.sh
......@@ -205,6 +205,11 @@ def run_generate_all(parsed_args):
"output_file": ".packages-built",
"options": RPM_BASED_SYSTEMS_DOCKER_RUN_OPTIONS
},
{
"distribution": "opensuse-leap_15.3",
"output_file": ".packages-built",
"options": RPM_BASED_SYSTEMS_DOCKER_RUN_OPTIONS
},
{
"distribution": "opensuse-tumbleweed",
"output_file": ".packages-built",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment